Information on source package libidn

Available versions

ReleaseVersion
wheezy1.25-2
wheezy (security)1.25-2+deb7u3
jessie (security)1.29-1+deb8u2
stretch1.33-1
buster1.33-2
sid1.33-2

Open issues

BugwheezyjessiestretchbustersidDescription
CVE-2017-14062fixedvulnerablevulnerablefixedfixedInteger overflow in the decode_digit function in puny_decode.c in ...

Resolved issues

BugDescription
TEMP-0000000-54045Emore to CVE-2015-2059
CVE-2017-14061Integer overflow in the _isBidi function in bidi.c in Libidn2 before ...
CVE-2016-6263The stringprep_utf8_nfkc_normalize function in lib/nfkc.c in libidn ...
CVE-2016-6262idn in libidn before 1.33 might allow remote attackers to obtain ...
CVE-2016-6261The idna_to_ascii_4i function in lib/idna.c in libidn before 1.33 ...
CVE-2015-8948idn in GNU libidn before 1.33 might allow remote attackers to obtain ...
CVE-2015-2059The stringprep_utf8_to_ucs4 function in libin before 1.31, as used in ...

Security announcements

DSA / DLADescription
DLA-1084-1libidn - security update
DSA-3658-1libidn - security update
DLA-582-1libidn - security update
DLA-476-1libidn - security update
DSA-3578-1libidn - security update
DLA-291-1libidn - security update
DLA-277-1libidn - security update

Search for package or bug name: Reporting problems